* {
  /* font-family: lato !important; */
}

/* nav bar start */
.navbar-custom {
  justify-content: space-between;
}

/* Right-align the nav menu */
.navbar-nav {
  margin-left: auto;
  /* Align the menu to the right */
}

.navbar-nav .nav-link {
  color: #444;
  /* font-weight: bold; */
  padding-left: 2rem !important;
  padding-right: 2rem !important;
  cursor: pointer;
}

.nav-link:hover {
  color: teal;
}

.book-now-btn {
  background-color: #e39600;
  color: white;
  /* font-weight: bold; */
  padding: 10px 40px;
  border-radius: 30px;
}

.book-now-btn:hover {
  background-color: #c58200;
  color: white;
}

/* nav bar end */
.hero-section {
  background-image: url("./assets/Mask-group.svg");
  /* Use your image path here */
  background-size: cover;
  background-position: center;
  height: 100vh;
  position: relative;
  color: white;
}

.hero-section .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.4);
  /* Overlay with some transparency */
}

.hero-content {
  position: relative;
  z-index: 1;
  padding-top: 200px;
  text-align: center;
}

.hero-content h1 {
  font-size: 42px;
  /* font-weight: bold; */
}

.hero-content .search-container {
  margin-top: 30px;
}

.search-input {
  border-radius: 30px;
  padding: 10px 20px;
}

.search-container .search-wrapper {
  display: flex;
  align-items: flex-start;
  background: white;
  border-radius: 40px;
  /* padding: 20px; */
  justify-content: center;
  overflow: hidden;
  box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.1);
}

.search-container .search-item {
  margin-top: 6px;
}

.search-container label {
  display: block;
  /* margin-bottom: 5px; */
  /* font-weight: bold; */
  font-size: 10px;
  color: #333;
  text-align: justify;
  margin-left: 29px;
}

.search-container input {
  border: none;
  /* padding: 10px; */
  border-radius: 30px;
  outline: none;
  width: 100%;
  margin-left: 18px;
}

.search-container input:focus {
  box-shadow: none;
}

.search-container .btn-search {
  background-color: #00bfa5;
  color: white;
  padding: 10px 13px;
  border-radius: 30px;
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  margin-top: 14px;
  margin-bottom: 14px;
  margin-right: 10px;
}

.search-container .btn-search i {
  margin-left: 5px;
}

/* about us selction */
.about-section {
  padding: 50px 0;
}

.about-section h2 {
  /* font-size: 36px; */
  /* font-weight: bold; */
  color: #484848;
  margin-bottom: 10px;
}

.about-section h3 {
  /* font-size: 24px; */
  /* font-weight: bold; */
  color: #484848;
  margin-bottom: 20px;
}

.about-section p {
  font-size: 16px;
  line-height: 2;
  margin-bottom: 20px;
  color: #626060;
}

.about-section .highlight {
  font-weight: 600;
  /* font-style: italic; */
  color: #484848;
}

.about-section img {
  max-width: 100%;
  border-radius: 10px;
}

.about-section .btn-book-now {
  background-color: #e69500;
  color: white;
  font-size: 18px;
  padding: 10px 40px;
  border-radius: 30px;
  border: none;
  text-align: center;
  display: inline-block;
}

.underline {
  width: 100px;
  height: 7px;
  background-color: #484848;
  margin-bottom: 20px;
  border-radius: 10px;
}

.about-section .btn-book-now:hover {
  background-color: #c58200;
}

.spektrum-section {
  margin-bottom: 0;
  position: relative;
  z-index: 1;
}

/* Flexbox for equal height */
.row-equal {
  display: flex;
  flex-wrap: wrap;
}

/* Business and Leisure card styles */
.card-custom {
  background-color: #ffffff;
  padding: 40px;
  border-radius: 10px;
  /* box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1); */
  border-radius: 15px 15px 0px 0px;
}

.card-business {
  background-color: #23aaa6;
  color: white;
}

.card-leisure {
  background-color: #5bb84d;
  color: white;
}

/* Facilities section styles */
.facilities-section {
  background-color: #23aaa6;
  padding: 50px 0;
  color: white;
}

.facilities-section h2 {
  /* font-size: 32px; */
  /* font-weight: bold; */
  margin-bottom: 20px;
}

.facilities-section p {
  margin-bottom: 30px;
}

.facility-box {
  background-color: white;
  padding: 20px;
  border-radius: 10px;
  text-align: center;
  color: #333;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.facility-box i {
  font-size: 36px;
  color: #00bfa5;
  margin-bottom: 10px;
}

/* Button styling */
.btn-contact {
  background-color: #e39600;
  color: white;
  font-size: 18px;
  padding: 10px 20px;
  border-radius: 30px;
  border: none;
  width: 168px;
}

.btn-contact:hover {
  background-color: #c58200 !important;
}

/* about us selction end */

/* contact us */
/* Main container style */
.contact-sectionIndex {
  position: relative;
  background-image: url("./assets/contact.png");
  /* Replace with your image path */
  background-size: cover;
  background-position: center;
  height: 400px;
  border-radius: 15px;
  margin-top: 50px;
}

/* Overlay to darken the image */
.contact-sectionIndex::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.3);
  /* Dark overlay */
  border-radius: 15px;
}

/* Text and button container */
.contact-content {
  position: relative;
  z-index: 2;
  color: white;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding-left: 50px;
}

.contact-content h2 {
  font-size: 36px;
  font-weight: bold;
}

.contact-content p {
  font-size: 18px;
  margin-bottom: 20px;
}

.accordion-item:last-of-type > .accordion-header .accordion-button.collapsed {
  border-top-left-radius: none !important;
}

/* .btn-contact {
      background-color: #E39600;
      color: white;
      font-size: 18px;
      padding: 10px 20px;
      border-radius: 30px;
      border: none;
  } */

.btn-contact:hover {
  background-color: #e39600;
}

/* contact us end */

/* the FAQ section */
.faq-section {
  padding: 50px 0;
}

.faq-title h2 {
  font-size: 46px;
  font-weight: bold;
}

.faq-title h2 span {
  color: #e39600;
}

.faq-title p {
  font-size: 16px;
  margin-top: 10px;
}

/* Accordion panel styling */
.accordion-button {
  background-color: #23aaa6;
  color: white;
  /* border-radius: 10px !important; */
  /* border-top-left-radius: 10px; */
}

.accordion-item {
  border-radius: none !important;
  border-top-left-radius: none !important;
  border-top-right-radius: none !important;
}

.accordion-button:not(.collapsed) {
  background-color: #23aaa6;
  color: white;
}

.accordion-body {
  background-color: #23aaa6;
  color: white;
  /* border-radius: 10px; */
}

/* the FAQ section end */

/* Footer main styles */
.footer {
  background-color: #f8f9fa;
  padding: 40px 0;
}

.footer h5 {
  /* font-size: 18px; */
  /* font-weight: bold; */
  margin-bottom: 35px;
}

.footer p,
.footer a {
  font-size: 14px;
  color: #484848;
  text-decoration: none;
}

.footer a:hover {
  text-decoration: none;
  color: #e39600;
}

/* Footer bottom */
/* Footer main styles */
.footer {
  background-color: #fcfcfc;
  padding: 40px 0;
}

.footer h5 {
  /* font-size: 18px; */
  /* font-weight: bold; */
  margin-bottom: 35px;
}

.footer p,
.footer a {
  font-size: 14px;
  color: #484848;
  text-decoration: none;
}

.footer a:hover {
  text-decoration: none;
  color: #e39600;
}

/* Footer bottom */
.footer-bottom {
  padding: 10px 0;
  border-top: 1px solid #e9ecef;
  text-align: center;
  font-size: 14px;
  color: #6c757d;
}

/* Social media icons */
.social-icons a {
  margin-right: 15px;
  color: #333;
  font-size: 20px;
}

.social-icons a:hover {
  color: #ffa500;
}

.active {
  color: #23aaa6 !important;
  /* Or any color you want for the active link */
  /* font-weight: bold; */
}

.search-wrapper div#quickbook-widget .MbsSearchWidget .formGroup label.lbl {
  margin-left: 0;
}

/* Center align content on smaller screens */
@media (max-width: 768px) {
  .hero-content {
    padding-top: 96px;
  }

  .search-container .btn-search {
    margin-left: 10px !important;
  }

  .facilities-section h2 {
    text-align: center;
  }

  .facilities-section p {
    text-align: center;
  }

  .footer {
    padding: 20px 0;
  }

  .footer h5 {
    font-size: 16px;
    margin-bottom: 20px;
  }

  .footer p,
  .footer a {
    font-size: 16px;
  }

  .footer-bottom {
    font-size: 12px;
  }

  /* Align text and social icons center on mobile */
  .footer .col-sm-6 {
    text-align: center;
    margin-bottom: 30px;
  }

  .social-icons {
    margin-top: 15px;
    text-align: center;
  }

  .social-icons a {
    margin-right: 10px;
    font-size: 18px;
  }
}


     /* Back to Top Button Style */
     #back-to-top {
      position: fixed;
      bottom: 40px;
      right: 24px;
      display: none;
      font-size: 30px;
      background-color: #23aaa6;
      color: white;
      border: none;
      border-radius: 50%;
      cursor: pointer;
      z-index: 1000;
      width: 50px;
      height: 50px;
  }

  #back-to-top:hover {
      background-color: #187875; 
  }